Bug 516281 - Review Request: perl-Config-Model-TkUI - Tk GUI to edit config data through Config::Model
Review Request: perl-Config-Model-TkUI - Tk GUI to edit config data through C...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Emmanuel Seyman
Fedora Extras Quality Assurance
:
Depends On: 515079 527046
Blocks: 516287 516293
  Show dependency treegraph
 
Reported: 2009-08-07 15:42 EDT by David Hannequin
Modified: 2010-06-28 13:11 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Config-Model-TkUI-1.306-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 13:11:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
emmanuel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Emmanuel Seyman 2009-08-21 08:26:08 EDT
This requires at least perl(Test::More) to be added to the BuildRequires.
Comment 2 Jason Tibbitts 2009-09-18 14:07:44 EDT
This fails to build for me because there seems to be no package providing perl(Tk::ObjScanner).

Please clear the whiteboard when you have a package which can be built.
Comment 3 Emmanuel Seyman 2009-10-04 12:32:15 EDT
I've submitted perl-Tk-ObjScanner for review (#527046).
Comment 5 Emmanuel Seyman 2010-01-22 04:58:38 EST
This package does not build. It seems to depend on perl(Tk::DirSelect) which isn't availible in Fedora. See http://koji.fedoraproject.org/koji/getfile?taskID=1937536&name=root.log for the gory details.

David, please submit a package for the Tk-DirSelect package on cpan.
You might also want to update your package to 1.302 which came out yesterday.
Comment 6 Emmanuel Seyman 2010-03-13 04:12:37 EST
David, can I ask you to update your package to 1.304?
Once you've done that, I'ld be glad to review it.
Comment 7 David Hannequin 2010-06-19 11:50:00 EDT
Hi Emmanuel,

I update package to 1.306, see below :

Spec URL: http://hvad.fedorapeople.org/fedora/perl-Config-Model-TkUI/perl-Config-Model-TkUI.spec

SRPM URL: http://hvad.fedorapeople.org/fedora/perl-Config-Model-TkUI/perl-Config-Model-TkUI-1.306-1.fc12.src.rpm

Description: This class provides a GUI for Config::Model    

Best regard
Comment 8 Emmanuel Seyman 2010-06-20 18:31:33 EDT
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2260663

 [x] Rpmlint output: 2 packages and 1 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     The package is LGPLv2+ but the spec file says LGPLv2

 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
0defa093613382a28a89e5221c224df2  Config-Model-TkUI-1.306.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [-] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: 
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2260663
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=3, Tests=10,  1 wallclock secs ( 0.02 usr  0.02 sys +  0.76 cusr  0.08 csys =  0.88 CPU)
Result: PASS

David, please put LGPLv2+ in the License field before check-in.

APPROVED.
Comment 9 David Hannequin 2010-06-21 16:12:20 EDT
New Package CVS Request
=======================
Package Name: perl-Config-Model-TkUI
Short Description: This class provides a GUI for Config::Model
Owners: hvad
Branches: F-12 F-13 EL-5
InitialCC: perl-sig
Comment 10 Kevin Fenzi 2010-06-22 21:44:41 EDT
CVS done (by process-cvs-requests.py).

Would you also like a EL-6 branch? If so, add a new request and set the flag again.
Comment 11 Fedora Update System 2010-06-24 17:37:37 EDT
perl-Config-Model-TkUI-1.306-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Config-Model-TkUI-1.306-4.fc13
Comment 12 Fedora Update System 2010-06-25 14:16:03 EDT
perl-Config-Model-TkUI-1.306-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Config-Model-TkUI'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Config-Model-TkUI-1.306-4.fc13
Comment 13 Fedora Update System 2010-06-28 13:11:51 EDT
perl-Config-Model-TkUI-1.306-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.